import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';

import { TrackingController } from './tracking.controller';
import { TrackingService } from './tracking.service';
import { TrackingEntity } from './tracking.entity';
import { NotificationModule } from '../notifications/notifications.module';

@Module({
  imports: [TypeOrmModule.forFeature([TrackingEntity]), NotificationModule],
  controllers: [TrackingController],
  providers: [TrackingService],
})
export class TrackingModule {}
